<?php

add_action('init','marketpanel_of_options');

if (!function_exists('marketpanel_of_options')) {
function marketpanel_of_options(){

//نام کوتاه پوسته
$shortname = "marketwp";


//آرایه پنل تنظیمات
global $mw_options;
$mw_options = get_option('of_options');


//دسترسی به برگه های وردپرس با یک آرایه
$mw_pages = array();
$mw_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($mw_pages_obj as $mw_page) {
$mw_pages[$mw_page->ID] = $mw_page->post_name; }
$mw_pages_tmp = array_unshift($mw_pages, "یک برگه را انتخاب کنید:"); 


//دسترسی به دسته های وردپرس با یک آرایه
$mw_categories = array();  
$mw_categories_obj = get_categories('hide_empty=0');
foreach ($mw_categories_obj as $mw_cat) {
$mw_categories[$mw_cat->cat_ID] = $mw_cat->cat_name;}
$categories_tmp = array_unshift($mw_categories, "یک دسته را انتخاب کنید:");


//نمونه آرایه برای منوی کشویی
$market_array = array("1","2","3","4","5");


//نمونه آرایه پیشرفته
$market_advanced_array = array("image" => "The Image","post" => "The Post"); 


//مسیر پوشه برای "type" => "images"
$marketurl =  get_template_directory_uri() . '/admin/images/sample-layouts/';


/*-----------------------------------------------------------------------------------*/
/* پنل تنظیمات اهل بیت
/*-----------------------------------------------------------------------------------*/
$options = array(); //این خط را پاک نکنید

/* تب اول - تنظیمات عمومی */	
$options[] = array( "name" => __('General Options - تنظیمات عمومی','marketwplang'),
			"type" => "heading");
			
			
$options[] = array( "name" => __('توجه','marketwplang'),
			"desc" => "",
			"id" => $shortname."_mwp_callout",
			"std" => "اگر تنظیمات را کامل انجام ندهید پوسته ناقص به نظر خواهد رسید.",
			"type" => "info");
			
$options[] = array( "name" => __('توجه','marketwplang'),
			"desc" => "",
			"id" => $shortname."_mwp_callout",
			"std" => "تمامی لینک ها را همراه با http یا https وارید نمایید.",
			"type" => "info");
			
$options[] = array( "name" => __('نام سایت','marketwplangg'),
			"desc" => "نام سایت خود را در اینجا قرار دهید .",
			"id" => $shortname."_gn_text_field1",
			"std" => "",
			"type" => "text");				
				
$options[] = array( "name" => __('لوگو سایت','marketwplangg'),
			"desc" => "لینک لوگو سایت را در اینجا قرار دهید .",
			"id" => $shortname."_gn_text_field25",
			"std" => "",
			"type" => "text");							
			
$options[] = array( "name" => __('لینک فاوآیکون','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field3",
			"std" => "",
			"type" => "text");	

$options[] = array( "name" => __('سخن روز','marketwplangg'),
			"desc" => "متن سخن روز را در اینجا قرار دهید .",
			"id" => $shortname."_gn_text_field4",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('درباره ما','marketwplangg'),
			"desc" => "متن درباره ما را در اینجا قرار دهید .",
			"id" => $shortname."_gn_text_field26",
			"std" => "",
			"type" => "textarea");	
			
$options[] = array( "name" => __('آی دی فیدبرنر','marketwplangg'),
			"desc" => "آی دی فیدبرنر را در اینجا قرار دهید .",
			"id" => $shortname."_gn_text_field40",
			"std" => "",
			"type" => "text");	
			
/* تب اول - تنظیمات عمومی */	

/* تب اول - تنظیمات شبکه های اجتماعی */

$options[] = array( "name" => __('Social Options - تنظیمات شبکه های اجتماعی','marketwplang'),
			"type" => "heading");
			
$options[] = array( "name" => __('لینک کانال تلگرام','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field19",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک صفحه اینستاگرام','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field20",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک صفحه فیسبوک','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field21",
			"std" => "",
			"type" => "text");

/* تب اول - تنظیمات شبکه های اجتماعی */			

/* تب اول - تنظیمات دوستان ما */

$options[] = array( "name" => __('Our Friends Options - تنظیمات دوستان ما','marketwplang'),
			"type" => "heading");
			
$options[] = array( "name" => __('عنوان اولین دوستان ما','marketwplangg'),
			"desc" => "نام مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field27",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک اولین دوستان ما','marketwplangg'),
			"desc" => "لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field28",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('عنوان دومین دوستان ما','marketwplangg'),
			"desc" => "نام مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field29",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک دومین دوستان ما','marketwplangg'),
			"desc" => "لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field30",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('عنوان سومین دوستان ما','marketwplangg'),
			"desc" => "نام مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field31",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک سومین دوستان ما','marketwplangg'),
			"desc" => "لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field32",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('عنوان چهارمین دوستان ما','marketwplangg'),
			"desc" => "نام مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field33",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک چهارمین دوستان ما','marketwplangg'),
			"desc" => "لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field34",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('عنوان پنجمین دوستان ما','marketwplangg'),
			"desc" => "نام مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field35",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک پنجمین دوستان ما','marketwplangg'),
			"desc" => "لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field36",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('عنوان ششمین دوستان ما','marketwplangg'),
			"desc" => "نام مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field37",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک ششمین دوستان ما','marketwplangg'),
			"desc" => "لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field38",
			"std" => "",
			"type" => "text");

/* تب اول - تنظیمات دوستان ما */		

update_option('of_template',$options); 					  
update_option('of_shortname',$shortname);

}
}
?>